
QGIS Application - Bug report #9249

Composer renders fonts incorrectly when saved as bitmap

2013-12-23 07:51 PM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 17865

Description

When I save to bitmap in the Composer it renders the text fonts incorrectly in the labels of one of the layers. This only occurs in a layer

which has the labels Placement set to Curved.

Saving to bitmap from the main application window does not cause the same problem regardless of label settings.

Using the example image you can see this is only occurring on some of the labels displayed, i.e. the labels of one particular layer.

QGIS version    2.1.0-Master    QGIS code revision    c6ab606

Compiled against Qt    4.8.5    Running against Qt    4.8.5

Compiled against GDAL/OGR    1.10.1    Running against GDAL/OGR    1.10.1

Compiled against GEOS    3.4.2-CAPI-1.8.2    Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    9.2.4    SpatiaLite Version    4.1.1

QWT Version    5.2.3    PROJ.4 Version    480

QScintilla2 Version    2.7.2    This copy of QGIS writes debugging output.

Related issues:

Related to QGIS Application - Bug report # 9165: curved labels: words printed... Closed 2013-12-05

History

#1 - 2013-12-28 07:40 AM - Matthias Kuhn

Duplicate of #9165 ?

#2 - 2014-06-22 12:20 AM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Looks like it to me.
